Firmware versions
Create firmware version
Authorization
API key Firmwares: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Firmwares: write
Path Parameters
workspaceId*string
Format
uuidfirmwareId*string
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
name*string
file?|
Format
binaryResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.spotflow.io/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/versions" \ -H "Authorization: Bearer $SPOTFLOW_API_KEY" \ -F "name=string" \ -F "file=@path/to/file"Created firmware version.
{ "id": "r2Kt75mXc8Vd", "name": "2.4.1", "createdAt": "2026-01-10T15:30:00+00:00", "assignedSymbolFilesCount": 0, "firmwareImageId": "y7Bs21fWn5Hk", "isUsedInDeployment": false, "deviceCount": 0}